Bug 983 - fribid, open source e-identification with the Bank ID (Swedish)
Summary: fribid, open source e-identification with the Bank ID (Swedish)
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: New RPM package request (show other bugs)
Version: Cauldron
Hardware: All Linux
Priority: Normal enhancement
Target Milestone: ---
Assignee: All Packagers
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-25 14:21 CEST by Kristoffer Grundström
Modified: 2017-06-26 09:31 CEST (History)
5 users (show)

See Also:
Source RPM: fribid
CVE:
Status comment:


Attachments
mozilla-filesystem is needed as a dep for fribid (3.28 KB, application/x-rpm)
2011-10-10 21:33 CEST, Kristoffer Grundström
Details
Debug-package for fribid (103.67 KB, application/x-rpm)
2011-10-10 21:34 CEST, Kristoffer Grundström
Details
fribid-package (74.94 KB, application/x-rpm)
2011-10-10 21:34 CEST, Kristoffer Grundström
Details
Requested spec-file (2.43 KB, text/x-rpm-spec)
2011-10-10 23:06 CEST, Kristoffer Grundström
Details
Here's the latest rpm built by fribid.spec (75.93 KB, application/x-rpm)
2011-11-19 03:45 CET, Kristoffer Grundström
Details
Here's the latest debug-package built by fribid.spec (106.38 KB, application/x-rpm)
2011-11-19 03:46 CET, Kristoffer Grundström
Details
Here's the lastest fribid.spec (2.60 KB, text/x-rpm-spec)
2011-11-19 03:46 CET, Kristoffer Grundström
Details
Here's the SRPM built by fribid.spec (119.56 KB, application/x-rpm)
2011-11-19 03:49 CET, Kristoffer Grundström
Details
Here's the latest spec (2.60 KB, text/x-rpm-spec)
2012-02-27 00:22 CET, Kristoffer Grundström
Details
Here's the latest version of fribid built from Source-RPM (75.88 KB, application/x-rpm)
2012-02-27 00:23 CET, Kristoffer Grundström
Details
Here's the latest debug-version of fribid built from Source-RPM (106.39 KB, application/x-rpm)
2012-02-27 00:23 CET, Kristoffer Grundström
Details
Here's the latest version that I built (123.36 KB, application/x-rpm)
2012-11-25 21:34 CET, Kristoffer Grundström
Details
Latest version of fribid (83.97 KB, application/x-rpm)
2013-11-13 21:07 CET, Kristoffer Grundström
Details
Latest debug-build of fribid (119.01 KB, application/x-rpm)
2013-11-13 21:08 CET, Kristoffer Grundström
Details
New spec-file (2.72 KB, text/x-rpm-spec)
2013-11-13 21:13 CET, Kristoffer Grundström
Details
Compilation log file (11.42 KB, text/plain)
2016-10-14 05:20 CEST, Kristoffer Grundström
Details
New version of the spec file (1.32 KB, text/x-rpm-spec)
2016-10-14 05:20 CEST, Kristoffer Grundström
Details

Description Kristoffer Grundström 2011-04-25 14:21:56 CEST
Description of problem: "FriBID is an open source for e-identification with the Bank ID. This means that the source code is available for anyone to study, copy and improve. FriBID is not yet a full replacement for the official program, but on the other hand, support for other processor types and Linux / BSD distributions than BankID Security."

Translation of Swedish statement on http://fribid.se/

Version-Release number of selected component (if applicable): 0.3.0
Comment 1 Kristoffer Grundström 2011-04-25 14:22:33 CEST
Here's the source-code: http://fribid.se/releases/source/fribid-0.3.0.tar.bz2
Comment 2 Marja van Waes 2011-10-10 20:29:08 CEST
We still don't have the package

CC: (none) => marja11
Summary: Create & release an RPM of FriBid => FriBID, open source e-identification with the Bank ID (Swedish)

Comment 3 Kristoffer Grundström 2011-10-10 21:24:25 CEST
I'll upload the packages for it on fribid.se soon.
Comment 4 Kristoffer Grundström 2011-10-10 21:33:57 CEST
Created attachment 930 [details]
mozilla-filesystem is needed as a dep for fribid
Comment 5 Kristoffer Grundström 2011-10-10 21:34:26 CEST
Created attachment 931 [details]
Debug-package for fribid
Comment 6 Kristoffer Grundström 2011-10-10 21:34:49 CEST
Created attachment 932 [details]
fribid-package
Comment 7 Kristoffer Grundström 2011-10-10 21:35:13 CEST
I'll add the i586-versions soon.
Comment 8 Manuel Hiebel 2011-10-10 22:30:54 CEST
the spec are more useful ;)
Comment 9 Kristoffer Grundström 2011-10-10 23:06:27 CEST
Created attachment 933 [details]
Requested spec-file
Comment 10 Kristoffer Grundström 2011-11-19 03:09:00 CET
What's goin' on with this?
Kristoffer Grundström 2011-11-19 03:44:00 CET

Attachment 931 is obsolete: 0 => 1

Kristoffer Grundström 2011-11-19 03:44:17 CET

Attachment 930 is obsolete: 0 => 1

Kristoffer Grundström 2011-11-19 03:44:31 CET

Attachment 932 is obsolete: 0 => 1

Kristoffer Grundström 2011-11-19 03:44:47 CET

Attachment 933 is obsolete: 0 => 1

Comment 11 Kristoffer Grundström 2011-11-19 03:45:39 CET
Created attachment 1080 [details]
Here's the latest rpm built by fribid.spec
Comment 12 Kristoffer Grundström 2011-11-19 03:46:15 CET
Created attachment 1081 [details]
Here's the latest debug-package built by fribid.spec
Comment 13 Kristoffer Grundström 2011-11-19 03:46:54 CET
Created attachment 1082 [details]
Here's the lastest fribid.spec
Comment 14 Kristoffer Grundström 2011-11-19 03:49:17 CET
Created attachment 1083 [details]
Here's the SRPM built by fribid.spec
Comment 15 Morgan Leijström 2011-12-13 21:21:13 CET
GREAT!   Tack Kristoffer!
I will try it next week when installing mageia on my wifes computer.

CC: (none) => fri

Comment 16 Morgan Leijström 2011-12-13 22:12:49 CET
OK, could not hold my horses ;)
In a fully updated mga1 64 bit KDE with Firefox 8.0.1:
Installed the rpm in att 1080, and it pulled in the PKCS module from mga repo too.
Restarted Firefox and went to bank login @ sparbankensyd.se
First it just threw up another portal window, and i verified that the PKCS module is listed in Firefox Edit>Settings>Advanced>Encryption>Modules (or what it is in english), Klicked two times more om login and now a login dialog appeared.  Hooray!
(Also the proprietary BankID have sililar quirks on mandriva 2010.x 32 bit...)

Next i will attempt to copy keys over, the direct file copying method i wrote here:
http://www.linuxportalen.se/forums/2010/02/20/bank-id-nexus-personal-under-mandriva-2010-0
Comment 17 Morgan Leijström 2011-12-13 22:37:22 CET
I forgot to mention that the rpm installation ended saying "nspluginwrapper: no appropriate viewer found for /usr/lib64/mozilla/plugins/libflashplayer.so" but i have no idea what it means.

I copied over the whole ~/cbt folder from the mandriva system, and when i got the dialog i pointed it to the .p12 file, and it displayed the right key name, and we typed keyword....  But the bank say login failed (no specific error code).

I was just guessing the whole procedure, as i could not find instructions anywhere.  Is there - where?  Should I make something differently?

Ideas?  (Except I will shut down, wait and retry in a while)
Comment 18 Morgan Leijström 2011-12-13 23:19:17 CET
Doh, my fault!
I forgot i have a half year ago myself upgraded the other system to use newer bankID version that stores the current keys in another folder in another format, (as i wrote in that link) known to be incompatible with fribid, and we invalidated the old .p12 keys in the bank system then... 

So we have to ask the bank for the one time login method to get an initial bankID, to create one fresh.  May take a while, will report back.

So far no problems with fribid itself; OK install, OK response at test site https://test.bankid.com (it say a newer version is available but they have not let a single 64 bit version out...)

Will be interesting to see if it suceed to retrieve, store, manage keys and login with them.
Comment 19 Morgan Leijström 2011-12-17 14:16:21 CET
Test: Fribid is OK :)
Please put in repo, and also 32 bit version!
Thank you!

___Tests passed:

Install on mga1 x86_64: just urpmi the rpm in https://bugs.mageia.org/show_bug.cgi?id=983#c11 and restart Firefox (tested 8.0.1)

Create BankID key OK @ sparbankensyd.se (my bank): OK

Pass test @ test.bankid.com (manufacturer of proprietary version, and host side that banks etc use) OK  (but say later version exists)

skatteverket.se (tax authority): Perfectly OK

minavardkontakter.se (health care): Perfectly OK

( And my bank is stupid again (before it did not accept recent Firefox, now 
it demands latest proprietary BankID version - though it is not released for 64 bit linux. I will note it to them )
Comment 20 Morgan Leijström 2011-12-17 22:03:50 CET
Reported sucess to developers
http://forum.fribid.se/viewtopic.php?pid=415#p415
And reported fail to my bank for blocking the only working solution.
Marja van Waes 2012-01-31 22:03:15 CET

Whiteboard: (none) => X

Dan Joita 2012-02-25 21:46:10 CET

CC: (none) => djmarian4u
Summary: FriBID, open source e-identification with the Bank ID (Swedish) => friBID, open source e-identification with the Bank ID (Swedish)

Dan Joita 2012-02-25 21:52:19 CET

CC: djmarian4u => (none)

Comment 21 Kristoffer Grundström 2012-02-26 13:11:16 CET
New version out: http://www.fribid.se/releases/source/fribid-1.0.0.tar.bz2
Comment 22 Morgan Leijström 2012-02-26 18:06:20 CET
If new, are you sure that is the last one?
Changelog inside it say 2011-09-25
The same I already installed for the test above.
Comment 23 Kristoffer Grundström 2012-02-26 23:05:40 CET
(In reply to comment #22)
> If new, are you sure that is the last one?
> Changelog inside it say 2011-09-25
> The same I already installed for the test above.

Affirmative. Even the github CHANGELOG-file tells you the same.

I'd be happy to build the spec for the new version if asked to do so.
Comment 24 Kristoffer Grundström 2012-02-26 23:51:50 CET
Remember that if you deside to build your own package you need to install opensc libopensc-devel libp11_1.
Kristoffer Grundström 2012-02-27 00:20:12 CET

Attachment 1082 is obsolete: 0 => 1

Kristoffer Grundström 2012-02-27 00:20:29 CET

Attachment 1082 is obsolete: 1 => 0

Comment 25 Kristoffer Grundström 2012-02-27 00:22:06 CET
Created attachment 1644 [details]
Here's the latest spec

This spec is built for x86_64 so use it only if you have 64-bit computer.
Comment 26 Kristoffer Grundström 2012-02-27 00:23:10 CET
Created attachment 1645 [details]
Here's the latest version of fribid built from Source-RPM
Comment 27 Kristoffer Grundström 2012-02-27 00:23:45 CET
Created attachment 1646 [details]
Here's the latest debug-version of fribid built from Source-RPM
Comment 28 Kristoffer Grundström 2012-11-25 21:34:35 CET
Created attachment 3174 [details]
Here's the latest version that I built

Attachment 1080 is obsolete: 0 => 1
Attachment 1081 is obsolete: 0 => 1
Attachment 1082 is obsolete: 0 => 1
Attachment 1083 is obsolete: 0 => 1
Attachment 1644 is obsolete: 0 => 1
Attachment 1645 is obsolete: 0 => 1
Attachment 1646 is obsolete: 0 => 1

Comment 29 Morgan Leijström 2012-11-26 09:50:34 CET
Thank you :)
Comment 30 Kristoffer Grundström 2012-11-26 13:49:48 CET
(In reply to comment #29)
> Thank you :)

And it still works?
Comment 31 Morgan Leijström 2012-12-10 20:36:19 CET
Sorry for the delay.
Unfortunately I can not test as FriBid do not yet (according to web site) support the newer key format that i have been forced to use due to the newer official application thet my bank enforce i use store in the new format and my old keys have expired.
But i thank you for pushing the latest version that exist, on behalf of people who might find it useful :)
Comment 32 Kristoffer Grundström 2012-12-15 17:34:42 CET
Any other Swede that can confirm that my new version works so it can be pushed?
Comment 33 Kristoffer Grundström 2013-11-13 21:07:51 CET
Created attachment 4505 [details]
Latest version of fribid

Attachment 3174 is obsolete: 0 => 1
CC: (none) => kristoffer.grundstrom1983

Comment 34 Kristoffer Grundström 2013-11-13 21:08:24 CET
Created attachment 4506 [details]
Latest debug-build of fribid
Comment 35 Kristoffer Grundström 2013-11-13 21:08:57 CET
(In reply to Kristoffer Grundström from comment #34)
> Created attachment 4506 [details]
> Latest debug-build of fribid

This is for x86_64 thou.
Comment 36 Kristoffer Grundström 2013-11-13 21:09:11 CET
(In reply to Kristoffer Grundström from comment #33)
> Created attachment 4505 [details]
> Latest version of fribid

This is for x86_64 thou.
Comment 37 Kristoffer Grundström 2013-11-13 21:13:52 CET
Created attachment 4507 [details]
New spec-file
Comment 38 Pedro Blom 2014-10-27 10:23:04 CET
Hi.

Installed and used the above package for a wile, but with the latest update of chomium an firefox Fribid dont show up anymore.

installed version
fribid-1.0.2-2.mga3.x86_64.rpm

latest version is 1.0.4

Is there anyone updating the package?

CC: (none) => blom.pedro

Comment 39 Florian Hubold 2014-10-27 20:25:53 CET
(In reply to Pedro Blom from comment #38)
> Is there anyone updating the package?

As it's not in Mageia repos, probably not one of the Mageia packagers. Also you didn't mention what exactly breaks - maybe someone disabled some old SSL protocols on the server side due to the recent Poodle SSLv3 issue?

Did you get in touch with fribid authors/developers to try to find out what the issue is?

CC: (none) => doktor5000

Comment 40 Marja van Waes 2016-06-26 20:36:03 CEST
Assigning to the new default assignee for package requests.

Assignee: bugsquad => pkg-bugs
Summary: friBID, open source e-identification with the Bank ID (Swedish) => fribid, open source e-identification with the Bank ID (Swedish)
Whiteboard: X => (none)

Comment 41 Kristoffer Grundström 2016-10-14 05:20:05 CEST
Created attachment 8533 [details]
Compilation log file
Comment 42 Kristoffer Grundström 2016-10-14 05:20:44 CEST
Created attachment 8534 [details]
New version of the spec file

Attachment 4507 is obsolete: 0 => 1

Comment 43 Kristoffer Grundström 2016-10-14 05:21:20 CEST
I could be wrong, but it looks like an upstream bug to me. Am I wrong?
Comment 44 Kristoffer Grundström 2016-10-14 05:25:24 CEST
That's weird. If I download the source code (which I think is the same as in the tar.gz that I compiled with I get no failed compilation.
Comment 45 Kristoffer Grundström 2016-10-14 05:29:22 CEST
The only errors I get when trying to build with rpmbuild -ba fribid.spec are theese:

Invalid option: noarch-mageia-linux-gnu
Invalid option: --program-prefix=
error: Bad exit status from /var/tmp/rpm-tmp.n0xxyr (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.n0xxyr (%build)

How can I solve them?
Comment 46 Kristoffer Grundström 2016-10-14 05:30:24 CEST
(In reply to Kristoffer Grundström from comment #44)
> That's weird. If I download the source code (which I think is the same as in
> the tar.gz that I compiled with I get no failed compilation.

I cloned their github repo.
Comment 47 Kristoffer Grundström 2017-06-25 05:06:09 CEST
I don't know about you following this report if you agree that we should close this as WONTFIX since Fribid doesn't work anymore.

If I don't get any objections within 1 month I'll close it as INVALID.

Deal?

Morgan Leijström?
Pedro Blom?
Comment 48 Morgan Leijström 2017-06-25 09:03:27 CEST
Wontfix.

Personally i have given up trying bankid on PC.
The mobile version works on my new phone, but when i had it in for service i realised the mobile BankID app on my old need be updated to a version incompatible with the phones OS...  Crap.

Result: I use use cash more nowadays...
Comment 49 Pedro Blom 2017-06-26 09:31:49 CEST
Me to have given up trying bankid on PC. Onlu use MobileBankID.

Note You need to log in before you can comment on or make changes to this bug.